body {
    padding: 0;
    margin: 0;
    max-width: 100%;
    max-height: 100%;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
    overflow-x: hidden;
    font-size: 12pt;
}

.nav__link img{
    width: 190px;
    height: 190px;
}

a {
    text-decoration: none;
}

header {
    grid-column: 1/13;
    background-color: #b2c86d;
    height: 450px;
    display: grid;
    grid-template-columns: repeat(12, calc((100% - 220px) / 12));
    grid-column-gap: 20px;
    box-sizing: border-box;
}

.header_rectangle {
    width: 75%;
    background-color: #969e5d;
    height: 350px;
    top: 230px;
    right: 0;
    position: absolute;
}

.header_rectangle > img {
    height: 250px;
    width: 400px;
    float: right;
}

.header_text {
    color: #fff;
    position: relative;
    top: 200px;
    left: 120px;
    width: 450px;
    font-size: 12pt;
}

.header_button {
    color: #000;
    font-size: 14pt;
    border: 0;
    background-color: #fff;
    padding: 15px;
    text-align: center;
    height: 50px;
    width: 120px;
    border-radius: 5%;
    position: relative;
    bottom: 55px;
    grid-column: 5/7;
}

h1.lastmusic {
    text-align: center;
    margin-bottom: 35px;
    height: 23pt;
}

h1.lastgenre, h1.lastmusic {
    padding-top: 90px;
}

div.lastgenre {
    margin: 0px 0px 0 90px;
    grid-column: 1/7;
}

div.lastgenre > div img, div.top-podcasts > img, div.playlists > img {
    margin-top: 20px;
    width: 200px;
    height: 200px;
}

div.lastgenre > div {
    display: grid;
    grid-template-columns: repeat(8, calc((100% - 160px) / 8));
    grid-gap: 20px;
}

div.lastgenre > div img {
    grid-column: 1/3;
    transition: margin-left 1s;
}

div.lastgenre > div p {
    margin: 0;
    float: right;
    grid-column: 4/9;
    padding: 25px;
    transform: translateY(35px) translateX(20px);
    color: #424242;
    opacity: 0;
    transition: all 1s;
}

div.lastgenre > div:hover img{
    margin-left: 30px;
    transition: margin-left 1s;
}

div.lastgenre > div:hover p {
    transform: translateY(35px) translateX(15px);
    opacity: 1;
    transition: all 1s;
}

.right {
    grid-column: 8/13;
    display: flex;
    flex-direction: column;
}

h1.top-podcasts {
    height: 23pt;
    text-align: center;
}

div.lastmusic {
    margin-right: 90px;
    height: 500px;
}

div.top-podcasts {
    text-align: center;
    margin: 0px 90px 0 0px;
}

div.top-podcasts > img {
    margin-top: 50px;
}

h1.playlists {
    grid-column: 1/13;
    text-align: center;
}

div.playlists {
    display: flex;
    justify-content: center;
    grid-column: 1/13;
}

div.playlists > div:first-of-type, div.playlists > div:last-of-type {
    background: #fff;
    width: 100%;
    height: 100%;
    z-index: 999999;
}

div.playlists > div:nth-of-type(2), div.playlists > div:nth-of-type(3) {
    width: 100px;
    height: 200px;
    background-color: #f2f2f2;
    margin: 20px 0px;
    padding: 0 10px 0 0px;
    margin-bottom: 25px;
    z-index: 999999;
}

div.playlists > div:nth-of-type(2) div, div.playlists > div:nth-of-type(3) div {
    background: url('../img/sprites.svg') no-repeat 0px 0px;
    background-size: 280px 400px;
    background-position: 5px -10px;
	width: 37px;
	height: 43px;
    transform: translateY(85px);
}

div.playlists > div:nth-of-type(2):hover, div.playlists > div:nth-of-type(3):hover {
    cursor: pointer;
} 

div.playlists > div:nth-of-type(2) {
    transform: rotate(180deg);
}

div.playlists > img {
    margin: 20px 5px;
    transition: all 2s;
}



.player > div:nth-child(3) {
    background-image: url("../img/sprites.svg");
    background-repeat: no-repeat;
    background-size: 200px 250px;
    width: 30px;
    height: 30px;
    margin-left: auto;
    background-position: -160px 0px;
}

.title {
    grid-column: 4/7;
    margin: 10px;
    display: flex;
    flex-direction: column;
}

.hidden {
    position: absolute;
    visibility: hidden;
}

.hidden:first-of-type {
    left: 0;
}

.hidden:last-of-type {
    right: 0;
}
@media (max-width: 1080px) {
    div.lastgenre > div:hover img {
        margin-left: 0px;
    }

    div.lastgenre > div p {
        transform: translateY(35px) translateX(40px);
        opacity: 0;
        transition: all 1s;
    }

    div.lastgenre > div:hover p {
        opacity: 1;
        transform: translateY(35px) translateX(40px);
    }

    .top-podcasts {
        padding: 50px;
    }
}
@media (max-width: 960px) {
    body {
        max-width: 100%;
        max-height: 100%;
        grid-column-gap: 20px;
        grid-template-columns: repeat(7, calc((100% - 120px) / 7));   
    }
    div.menu {
        z-index: 9999999;
    }
    header {
        grid-column: 1/8;
        grid-template-columns: repeat(7, calc((100% - 120px) / 7));
        top: 230px;
        float: right;
        height: 350px;
    }
    .header_text {
        font-size: 10pt;
        top: 140px;
        width: 300px;
    }
    .header_button {
        bottom: 55px;
        margin-left: -140px;
        width: 100px;
        height: 50px;
        font-size: 10pt;
    }
    div.header_rectangle {
        top: 130px;
        height: 250px;
        z-index: 0;
    }
    div.header_rectangle > img {
        width: 200px;
        height: 150px;
        float: right;
    }
    div.lastgenre {
        margin: 15px 0px 0 90px;
        grid-column: 1/7;
    }
    div.lastgenre > div {
        display: grid;
        grid-template-columns: repeat(7, calc((100% - 120px) / 7));
        grid-gap: 20px;
    }
    
    div.lastgenre > div img {
        grid-column: 1/3;
    }
    div.lastgenre > div p {
        font-size: 10pt;
        grid-column: 4/8;
        margin-top: -30px;
    }
    h1.top-podcasts {
        grid-column: 5/6;
    }
    div.lastmusic {
        grid-column: 2/8;
        margin-top: 20px;
    }
    h1.lastmusic {
        text-align: center;
        grid-column: 1/8;
        margin-top: 30px;
    }
    div.top-podcasts {
        grid-column: 1/8;
        text-align: center;
    }
    div.top-podcasts > img, div.lastgenre > div > img {
        width: 150px;
        height: 150px;
    }
    h1.playlists {
        grid-column: 1/8;
        margin-right: 90px;
        text-align: center;
        margin-top: 50px;
    }
    div.playlists {
        margin-left: 90px;
        grid-column: 1/8;
        justify-content: center;
    }
    .playlists > div, footer, nav {
        display: none;
    }
    div.playlists > img {
        width: 150px;
        height: 150px;
    }
    .player {
        font-size: 10pt;
    }
    .right {
        grid-column: 2/9;
        display: flex;
        flex-direction: column;
    }
}
@media (max-width: 640px) {
    header {
        grid-column: 1/8;
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
        top: 50px;
        float: right;
        height: 350px;
        background-color: #fff;
    }
    .header_text {
        font-size: 10pt;
        top: 160px;
        grid-column: 1/8;
        left: 0;
        width: 100%;
        height: 120px;
        background-color: rgba(0, 0, 0, 0.5);
        padding: 10px;
    }
    .header_button {
        display: none;
    }
    div.header_rectangle {
        top: 0px;
        grid-column: 1/8;
        width: 100%;
        height: 250px;
    }
    div.header_rectangle > img {
        margin-top: 50px;
        width: 100%;
        height: 250px;
        float: right;
    }
}
@media (max-width: 480px) {
    body {
        grid-column-gap: 20px;
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
    }
    div.menu {
        z-index: 9999999;
    }
    header {
        grid-column: 1/7;
        grid-template-columns: repeat(6, calc((100% - 100px) / 6));
    }
    .header_text {
        grid-column: 1/7;
    }
    div.header_rectangle {
        grid-column: 1/7;
    }
    div.lastgenre {
        margin: 15px 0px 0 20px;
        grid-column: 1/7;
    }
    div.lastgenre > div {
        display: grid;
        grid-template-columns: repeat(7, calc((100% - 100px) / 7));
        grid-gap: 20px;
    }
    
    div.lastgenre > div img {
        grid-column: 1/2;
    }
    div.lastgenre > div p {
        font-size: 10pt;
        grid-column: 2/7;
        margin-top: -30px;
        opacity: 1;
        margin-left: 95px;
        transform: translateY(35px);
    }
    h1.top-podcasts {
        grid-column: 1/7;
    }
    div.lastmusic {
        grid-column: 2/7;
        margin-top: 20px;
    }
    h1.lastmusic {
        text-align: center;
        grid-column: 1/7;
        margin-top: 30px;
        margin-left: 90px;
    }
    div.top-podcasts {
        grid-column: 1/7;
        text-align: center;
    }
    div.top-podcasts > img, div.lastgenre > div > img {
        width: 150px;
        height: 150px;
    }
    h1.playlists {
        grid-column: 1/7;
        margin: 0 20px;
        text-align: center;
        margin-top: 50px;
    }
    div.playlists {
        margin-left: 90px;
        grid-column: 1/7;
        justify-content: center;
        flex-wrap: wrap;
    }
    .playlists > div, footer, nav {
        display: none;
    }
    div.playlists > img {
        width: 150px;
        height: 150px;
    }
    .player {
        font-size: 10pt;
    }
    .right {
        grid-column: 2/7;
    }
}